## model
Class Tournament.EntryComparator

    java.lang.Object
      model.Tournament.EntryComparator

All Implemented Interfaces:
  java.util.Comparator<Entry>

Enclosing class:
  Tournament

    public static class Tournament.EntryComparator

extends java.lang.Object
implements java.util.Comparator<Entry>

EntryComparator class is used so that Entry objects can be sorted by different fields of the objects.

Nested Class Summary
`static class` `Tournament.EntryComparator.SortBy`

Field Summary
`private static Tournament.EntryComparator.SortBy` `sort_by_field`

Constructor Summary
`Tournament.EntryComparator(Tournament.EntryComparator.SortBy sort_by)`

Method Summary
`int` `compare(Entry first_entry, Entry second_entry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### sort_by_field

    private static Tournament.EntryComparator.SortBy sort_by_field

Constructor Detail

### Tournament.EntryComparator

    public Tournament.EntryComparator(Tournament.EntryComparator.SortBy sort_by)

Method Detail

### compare

    public int compare(Entry first_entry,
                       Entry second_entry)

  Specified by:
    `compare` in interface `java.util.Comparator<Entry>`